{
  "ts": [
    {
      "modelData": {
        "prefix": "",
        "basePackage": "",
        "moduleName": "",
        "subModuleName": ""
      },
      "tplName": "page.vue",
      "tpl": {
        "dir": "${moduleName}<%if(subModuleName != null){%>/${subModuleName}<%}%>",
        "filename": "${pageVueName}",
        "content": ""
      }
    },
    {
      "modelData": {
        "moduleName": "",
        "subModuleName": ""
      },
      "tplName": "form.vue",
      "tpl": {
        "dir": "${moduleName}<%if(subModuleName != null){%>/${subModuleName}<%}%>",
        "filename": "${formVueName}",
        "content": ""
      }
    },
    {
      "modelData": {
        "moduleName": "",
        "subModuleName": ""
      },
      "tplName": "page.ts",
      "tpl": {
        "dir": "${moduleName}<%if(subModuleName != null){%>/${subModuleName}<%}%>",
        "filename": "${pageTsName}",
        "content": ""
      }
    },
    {
      "modelData": {
        "moduleName": "",
        "subModuleName": ""
      },
      "tplName": "api.ts",
      "tpl": {
        "dir": "${moduleName}<%if(subModuleName != null){%>/${subModuleName}<%}%>",
        "filename": "${apiTsName}",
        "content": ""
      }
    },
    {
      "modelData": {
        "moduleName": "",
        "subModuleName": ""
      },
      "tplName": "d.ts",
      "tpl": {
        "dir": "${moduleName}<%if(subModuleName != null){%>/${subModuleName}<%}%>",
        "filename": "${dTsName}",
        "content": ""
      }
    }
  ],
  "java": [
    {
      "modelData": {
        "basePackage": "",
        "moduleName": ""
      },
      "tplName": "entity.java",
      "tpl": {
        "dir": "pojo/entity",
        "filename": "${upperFirst(toCamelCase(isBlank(prefix) ? table.name : subAfter(table.name, prefix)))}Entity.java",
        "content": ""
      }
    },
    {
      "modelData": {},
      "tplName": "mapper.java",
      "tpl": {
        "dir": "mapper",
        "filename": "${upperFirst(toCamelCase(isBlank(prefix) ? table.name : subAfter(table.name, prefix)))}Mapper.java",
        "content": ""
      }
    },
    {
      "modelData": {},
      "tplName": "mapper.xml",
      "tpl": {
        "dir": "",
        "filename": "${upperFirst(toCamelCase(isBlank(prefix) ? table.name : subAfter(table.name, prefix)))}Mapper.xml",
        "content": ""
      }
    },
    {
      "modelData": {},
      "tplName": "service.java",
      "tpl": {
        "dir": "service",
        "filename": "${upperFirst(toCamelCase(isBlank(prefix) ? table.name : subAfter(table.name, prefix)))}Service.java",
        "content": ""
      }
    },
    {
      "modelData": {},
      "tplName": "controller.java",
      "tpl": {
        "dir": "controller",
        "filename": "${upperFirst(toCamelCase(isBlank(prefix) ? table.name : subAfter(table.name, prefix)))}Controller.java",
        "content": ""
      }
    }
  ]
}
